{ pkgs, lib, ... }:
let
  kdePackages = with pkgs.kdePackages; [ plasma-browser-integration ];
  packages = with pkgs; [
    krita
    wl-clipboard
    # catppuccin for kde plasma
    (catppuccin-kde.override {
      flavour = [ "mocha" "macchiato" "frappe" "latte" ];
      accents = [ "blue" ];
      winDecStyles = [ "classic" ];
    })
  ];
in {
  environment.systemPackages = lib.lists.unique (kdePackages ++ packages);

  programs.partition-manager.enable = true;

  fonts.packages = with pkgs;
    [ (nerdfonts.override { fonts = [ "FiraCode" ]; }) ];
}
